## org.apache.batik.parser
Interface NumberListHandler

All Known Implementing Classes:
  AbstractSVGNumberList.NumberListBuilder, DefaultNumberListHandler

public interface NumberListHandler

Method Summary
`void` `endNumber()` Invoked when the number attribute ends.
`void` `endNumberList()` Invoked when the number list attribute ends.
`void` `numberValue(float v)` Invoked when a float value has been parsed.
`void` `startNumber()` Invoked when the number attribute starts.
`void` `startNumberList()` Invoked when the number list attribute starts.

Method Detail

### startNumberList

    public void startNumberList()
                         throws ParseException

  Invoked when the number list attribute starts.

  Throws:
    `ParseException` - if an error occures while processing the number list.

### endNumberList

    public void endNumberList()
                       throws ParseException

  Invoked when the number list attribute ends.

  Throws:
    `ParseException` - if an error occures while processing the number list.

### startNumber

    public void startNumber()
                     throws ParseException

  Invoked when the number attribute starts.

  Throws:
    `ParseException` - if an error occures while processing the number

### endNumber

    public void endNumber()
                   throws ParseException

  Invoked when the number attribute ends.

  Throws:
    `ParseException` - if an error occures while processing the number

### numberValue

    public void numberValue(float v)
                     throws ParseException

  Invoked when a float value has been parsed.

  Throws:
    `ParseException` - if an error occures while processing the number

Copyright © 2004 Apache Software Foundation. All Rights Reserved.